<template>
  <v-card max-width="448" class="mx-auto" color="grey-lighten-3">
    <v-layout>
      <v-app-bar
        color="teal-darken-4"
        image="https://picsum.photos/1920/1080?random"
      >
        <template v-slot:image>
          <v-img
            gradient="to top right, rgba(19,84,122,.8), rgba(128,208,199,.8)"
          ></v-img>
        </template>

        <template v-slot:prepend>
          <v-app-bar-nav-icon />
        </template>

        <v-app-bar-title>SSO-ITMO</v-app-bar-title>

        <v-spacer />

        <v-btn variant="text" @click="logout">Logout</v-btn>
      </v-app-bar>
    </v-layout>
  </v-card>
</template>

<script setup>
import { keycloak } from "@/plugins/keycloak.js";

const logout = () => {
  try {
    // суда нельзя запихивать кейклок, нужна строка с точным адресом
    keycloak.logout();
    // если url не меняется, можем вызвать logout без параметров
    // keycloak.logout();
  } catch (error) {
    console.error(error);
  }
};
</script>
